Delivery History
curl --request GET \
--url https://b2b-api.dev-riseworks.io/v2/webhooks/{webhook_nanoid}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://b2b-api.dev-riseworks.io/v2/webhooks/{webhook_nanoid}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api.dev-riseworks.io/v2/webhooks/{webhook_nanoid}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"deliveries": [
{
"delivery_nanoid": "<string>",
"event_nanoid": "<string>",
"event_type": "withdraw_account.duplicated_detected",
"status": "queued",
"response_code": 0,
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Webhooks
Delivery History
GET
/
v2
/
webhooks
/
{webhook_nanoid}
/
deliveries
Delivery History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the Webhook Endpoint.
Required string length:
15Pattern:
^wh-.*Query Parameters
Required range:
1 <= x <= 100When set, only deliveries for this webhook event are returned.
Required string length:
15Pattern:
^we-.*When set, only deliveries for this event type are returned.
Available options:
withdraw_account.duplicated_detected, invite.accepted, payment.sent, deposit.received, payment.group.created, invite.expired, invite.rejected, onboarding.step_updated.basic_data, onboarding.step_updated.kyc.accepted, onboarding.step_updated.kyc.rejected, onboarding.step_updated.kyc.pending, onboarding.step_updated.rsk, onboarding.step_updated.documents, onboarding.completed, team.member_blocked, team.member_added, team.member_removed, document.signed, document.expired, document.closed, payment.subscription.created, payment.subscription.paid, payment.chargeback.created, payment.chargeback.paid, payment.cash_requirement.created, payment.cash_requirement.due, payment.canceled, payment.failed, invoice.created, invoice.canceled, token.transfer, deposit.crypto, deposit.crosschain, deposit.bitcoin, deposit.fiat, swap.token, action_item.created, action_item.completed, action_item.finished 